> ## Documentation Index
> Fetch the complete documentation index at: https://docs.levelblue.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Add a label to an alarm

> Associates a label with a specific alarm.



## OpenAPI

````yaml /documentation/api-reference/v2.yaml put /alarms/{alarmId}/labels/{labelId}
openapi: 3.0.0
info:
  title: USM Anywhere™ API Reference
  description: >-
    AT&T Cybersecurity publishes REST APIs for USM Anywhere that provide a
    programmatic interface that will allow you to access your data directly from
    your own applications and extensions.
  version: '2.0'
servers:
  - url: https://your-subdomain.alienvault.cloud/api/2.0
    description: USM Anywhere API Server
security:
  - bearerAuth: []
tags:
  - name: Alarms
    description: Endpoints for managing and searching alarm messages.
  - name: Events
    description: Endpoints for managing and searching events.
  - name: OAuth
    description: Endpoint for OAuth 2.0 functionality.
paths:
  /alarms/{alarmId}/labels/{labelId}:
    put:
      tags:
        - Alarms
      summary: Add a label to an alarm
      description: Associates a label with a specific alarm.
      parameters:
        - name: alarmId
          in: path
          required: true
          description: The UUID of the alarm.
          schema:
            type: string
            format: uuid
        - name: labelId
          in: path
          required: true
          description: The ID of the label to add.
          schema:
            type: string
      responses:
        '200':
          description: Label added successfully.
        '404':
          description: Alarm or Label not found.
components:
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer
      bearerFormat: JWT

````